Erratic total failure of unstrip phase in new preprocessor
Closed, ResolvedPublic

Description

Split off from bug 12056. Input such as

x<nowiki>y</nowiki>z

is converted to something like:

x<del>UNIQ225ad7a62aaa0e75-nowiki-00000001-QINU<del>z

where <del> is the delete character, 0x7f. Typcially this occurs in the pre-save transform, so the result is saved into articles, leading to diffs such as these:

http://commons.wikimedia.org/w/index.php?title=Template_talk:AdminWelcome/en&diff=8765512&oldid=8763902
http://translatewiki.net/w/?title=Process/tasks&diff=prev&oldid=164002

All XML-style tag extensions are affected.

On some installations this happens all the time, on others it happens randomly and is not reproducible. It has been reported on:

  • Roan Kattouw's Windows test server. Reproducible with PHP 5.2.4 cgi/fcgi, not observed in the same installation under the CLI SAPI.
  • Unknown servers in Wikimedia's app cluster. Is it server dependent or random?
  • Reproducibly on Bertrand Grondin's server at grondin.tuxfamily.org
  • Randomly on translatewiki.net, reported by Nikerabbit

During an attempt to narrow down the problem on Roan Kattouw's server, an odd bug was observed where a Title object would disappear, triggering a fatal "cannot call member function of non-object". This may or may not be related.


Version: 1.12.x
Severity: blocker

bzimport added a project: MediaWiki-Parser.Via ConduitNov 21 2014, 9:58 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz12154.
tstarling created this task.Via LegacyNov 30 2007, 3:13 AM
Catrope added a comment.Via ConduitNov 30 2007, 12:27 PM
  • Bug 12162 has been marked as a duplicate of this bug. ***
tstarling added a comment.Via ConduitDec 1 2007, 7:17 AM

Possible fix in r28004, please test.

Catrope added a comment.Via ConduitDec 1 2007, 2:09 PM

(In reply to comment #2)

Possible fix in r28004, please test.

That did it, at least for me. <nowiki>, <ref>, <references>, <redircite> and <toggledisplay> now work for me.

tstarling added a comment.Via ConduitDec 2 2007, 8:34 AM

Nikerabbit reports that it's fixed on BetaWiki.

tstarling added a comment.Via ConduitDec 4 2007, 12:15 AM

We'll call this provisionally fixed. But it might be nice to remove the failure mode at some stage.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.